@use "../../../../../stylesheets/mpa-mixins" as mixin;

.mat-list-item.mat-list-item-content {
      flex: 0 0 100%;
}

.custom-list-item-content {
  @include mixin.mpa-selection-hover; // mixin for background-color when hovered
  height: 1.6rem; // doesn't actually seem to set to 5% for most displays, but reduces height down to 1em + padding top and bottom
  padding-top: 0.2em;
  padding-right: 0px;
  padding-bottom: 0.2em;
  padding-left: 0.5rem;
}

.selected {
  @include mixin.mpa-selection-background;
}

.sidenav-node{
  font-size: small;
  display: flex;
  flex-direction: row;
  align-content: center;
  padding-right: 0.5vw;
}

button {
  height: 1.5rem;
  padding-inline: 0px;
  background: none;
  border: none;
}

mat-icon {
  scale: 0.6;
}

.icon-wrapper {
  flex-shrink: 0; /* Prevent the icon from shrinking */
  margin-right: 0.5rem; /* Add some spacing between the icon and the text */
}